<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for src/pages/MyAccounts/Card.vue</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../../../prettify.css" />
    <link rel="stylesheet" href="../../../../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../../../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../../../../index.html">all files</a> / <a href="index.html">src/pages/MyAccounts/</a> Card.vue
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>0/15</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/4</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>0/1</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>0/14</span>
      </div>
    </div>
  </div>
  <div class='status-line low'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112</td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">&lt;template xmlns:input="http://www.w3.org/1999/html"&gt;
  &lt;div&gt;
    &lt;div class="padding"&gt;
      &lt;div class="row"&gt;
        &lt;div class="columns three"&gt;
          &lt;span v-if="cardWithAttr.editable" v-show="true" class="edit" @keydown="inputHandler" @click="startEditName" @blur="setName" :contenteditable="editingName" ref="namefield" &gt;{{ cardWithAttr.card.name }}&lt;/span&gt;
          &lt;span v-else &gt;{{ cardWithAttr.card.name }}&lt;/span&gt;
        &lt;/div&gt;
        &lt;div class="columns one card-icon"&gt;
          &lt;img :src="`/static/img/my-accounts/${cardWithAttr.img}`" :style="cardWithAttr.card.activated ? '' : 'filter: grayscale(100%)'" alt="" class="a-image"&gt;
        &lt;/div&gt;
        &lt;div class="columns three card-text"&gt;
          {{ cardWithAttr.card.number }}
        &lt;/div&gt;
        &lt;div v-if="cardWithAttr.card.activated" class="columns four"&gt;
          &lt;span v-if="cardWithAttr.card.isprimary" v-html="msg" class="prima-card"&gt;
          &lt;/span&gt;
          &lt;a v-else @click="makePrimary" class="prima-card"&gt;Сделать основной&lt;/a&gt;
        &lt;/div&gt;
        &lt;div v-else class="columns four"&gt;
          &lt;span class="card-warning"&gt;Карта не привязана &lt;a href="#" @click.prevent="newCard"&gt;привязать&lt;/a&gt;&lt;/span&gt;
        &lt;/div&gt;
        &lt;div class="columns one right-adaptive"&gt;
          &lt;a v-if="cardWithAttr.deletable" href="#" class="delete" @click.prevent="showModal"&gt;&lt;span&gt;Удалить&lt;/span&gt;&lt;/a&gt;
        &lt;/div&gt;
      &lt;/div&gt;
    &lt;/div&gt;
    &lt;hr&gt;
  &lt;/div&gt;
&lt;/template&gt;
&nbsp;
&lt;script&gt;
    export default {
      name: 'card-component',
      props: ['cardWithAttr'],
      data () {
<span class="cstat-no" title="statement not covered" >        return {</span>
          editingName: false
        }
      },
      computed: {
        msg () {
<span class="cstat-no" title="statement not covered" >          return this.cardWithAttr.card.type === 2</span>
            ? `Выдача наличными в &lt;a href="https://www.contact-sys.com/where/point/WBRV/0/list/0/0/" target="_blank"&gt;пункте выдачи&lt;/a&gt;`
            : 'Займ будет выдан на эту карту'
        }
      },
      methods: {
        startEditName () {
<span class="cstat-no" title="statement not covered" >          this.editingName = t</span>rue
          const fiel<span class="cstat-no" title="statement not covered" >d = this.$refs.namefi</span>eld
<span class="cstat-no" title="statement not covered" >          setTimeout(()<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" > =&gt; field.focu</span></span>s(),</span> 0)
        },
        setName (event) {
<span class="cstat-no" title="statement not covered" >          this.$store.dispatch('ACCOUNTS_SET_NAME', {...this.cardWithAttr.card, name: event.target.innerHTM</span>L})
        },
        inputHandler (event) {
<span class="cstat-no" title="statement not covered" >          if (event.keyCode === 13) { // По энтеру эмитим блюр, а блюр запустит setName</span>
<span class="cstat-no" title="statement not covered" >            event.target.blur(eve</span>nt)
          }
        },
        showModal () {
          const param<span class="cstat-no" title="statement not covered" >s = {</span>
            title: 'Удаление кошелька',
            questionText: `Вы действительно хотите удалить кошелек ${this.cardWithAttr.card.number}?`,
            action: 'ACCOUNTS_DELETE_ACCOUNT',
            card: this.cardWithAttr.card
          }
<span class="cstat-no" title="statement not covered" >          this.$parent.$modal.show('delete-account', para</span>ms)
        },
        makePrimary () {
          const param<span class="cstat-no" title="statement not covered" >s = {</span>
            title: 'Смена основной карты',
            questionText: 'Вы точно хотите поменять основную карту?',
            action: 'ACCOUNTS_SET_PRIMARY',
            card: this.cardWithAttr.card
          }
<span class="cstat-no" title="statement not covered" >          this.$parent.$modal.show('delete-account', para</span>ms)
        },
        newCard () {
<span class="cstat-no" title="statement not covered" >          this.$parent.$modal.show('new-car</span>d')
        }
      },
      mounted () {
<span class="cstat-no" title="statement not covered" >        console.log('UNDEF????', this.cardWithAttr.cardWithAt</span>tr)
      }
    }
&lt;/script&gt;
&nbsp;
&lt;style scoped&gt;
  .blinking {
    animation: blink .3s ease-in-out;
  }
&nbsp;
  @keyframes blink {
    0% {
      background-color: #6ac651;
    }
    100% {
      background-color: none;
    }
  }
&nbsp;
  input[type="text"] {
    border: 0px;
    padding: 0px;
    margin: 0px;
    height: auto;
    width: 100%;
  }
&lt;/style&gt;
&nbsp;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="http://istanbul-js.org/" target="_blank">istanbul</a> at Fri Mar 23 2018 11:20:25 GMT+0300 (MSK)
</div>
</div>
<script src="../../../../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../../../../sorter.js"></script>
</body>
</html>
